Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.platform
Class RMIVerifiableNamingServiceFactory

    java.lang.Object
      com.ibm.able.platform.RMIVerifiableNamingServiceFactory

All Implemented Interfaces:
  org.jagent.service.spi.ServiceFactory

public class RMIVerifiableNamingServiceFactory
extends java.lang.Object
implements org.jagent.service.spi.ServiceFactory

A ServiceFactory for either acquiring or creating a VerifiableAgentNamingService based upon the RMIAgentNamingService. The item returned by the factory method is an RMIAgentNamingServiceProxy (conforms to the AgentNamingService interface) composing a remote reference to a RMIAgentNamingService as implemented by the RMIAgentNamingSystem.

Constructor Summary
`RMIVerifiableNamingServiceFactory()` Create a new ServiceFactory.

Method Summary
`javax.agent.service.Service` | `getService(javax.agent.service.ServiceProperties theServiceProperties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RMIVerifiableNamingServiceFactory

    public RMIVerifiableNamingServiceFactory()

  Create a new ServiceFactory. The factory will be able to create instances of VerifiableAgentNamingService.

See Also:
  `VerifiableAgentNamingService`

Method Detail

### getService

    public javax.agent.service.Service getService(javax.agent.service.ServiceProperties theServiceProperties)
                                           throws javax.agent.service.ServiceException

  Specified by:
    `getService` in interface `org.jagent.service.spi.ServiceFactory`
  Throws:
    `javax.agent.service.ServiceException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005